﻿--
-- MoreStraw Mod
--
-- @author:    	BlackSheep - RC-Devil
-- @websites:	https://www.farming-mods.de - https://www.mods-community.de
-- @history:	v 1.0.0.0 - 08.03.2017 - Release
--

MoreStraw = {};
 
addModEventListener(MoreStraw);
MoreStraw.mass = 14;  -- for Straw
MoreStraw.gmass = 8;  -- for Grass_windrow

function MoreStraw:loadMap(name)
	print("[--- MoreStraw Mod V1.0.0.0 Script loaded (by BlackSheep(RC-Devil) Web-Support: https://www.mods-community.de ---]");
	
	for i=1, FruitUtil.NUM_FRUITTYPES do
        local desc = FruitUtil.fruitIndexToDesc[i];
		local fruitname = desc.name
		local fruitsKey = 'FRUITTYPE_' .. fruitname:upper();
		local ftWindKey = 'FILLTYPE_' .. string.upper(desc.name) .. '_WINDROW';
		if desc.hasWindrow then
			if desc.hasWindrow and not (fruitname == "grass" or fruitname == "dryGrass") then
				-- print("MoreStraw:: WindrowTypes-Org "..fruitname.." as "..desc.windrowName.." WindrowLiter: "..tostring(desc.windrowLiterPerSqm).. "l")
				FruitUtil.setFruitTypeWindrow(FruitUtil[fruitsKey], FillUtil.FILLTYPE_STRAW, MoreStraw.mass)
				-- print("MoreStraw:: WindrowTypes "..fruitname.." as "..desc.windrowName.." WindrowLiter: "..tostring(MoreStraw.mass).. "l")
			elseif desc.hasWindrow and (fruitname == "grass" or fruitname == "dryGrass") then
				-- print("MoreStraw:: WindrowTypes-Org "..fruitname.." as "..desc.windrowName.." WindrowLiter: "..tostring(desc.windrowLiterPerSqm).. "l")
				FruitUtil.setFruitTypeWindrow(FruitUtil[fruitsKey], FillUtil[ftWindKey], MoreStraw.gmass)
				-- print("MoreStraw:: WindrowTypes "..fruitname.." as "..desc.windrowName.." Set WindrowLiter: "..tostring(MoreStraw.gmass).. "l")
				-- print("MoreStraw:: WindrowTypes-Org "..fruitname.." as "..desc.windrowName.." WindrowLiter: "..tostring(desc.windrowLiterPerSqm).. "l")
			end;
    	end;
	end;	
end;

function MoreStraw:deleteMap() end

function MoreStraw:mouseEvent(posX, posY, isDown, isUp, button) end;

function MoreStraw:keyEvent(unicode, sym, modifier, isDown) end;

function MoreStraw:update(dt) end;

function MoreStraw:draw() end;
